#include<bits/stdc++.h>
using namespace std;
int f(int n,int k) {
    while (n>0) {
        k*=n%10;
        n/=10;
    }
    return k;
}
int main() {
    int t;
    cin>>t;
    for (int y=0; y<t; y++) {
        vector <int> v;
        int n;
        cin>>n;
        int zb=0;
        for (int i=1; i<=n; i++) {
            int proi=f(i,1);
            if (binary_search(v.begin(),v.end(),proi)==false) {
                v.push_back(proi);
                sort (v.begin(), v.end());
                zb++;
            }
        }
        cout<<zb<<endl;
    }
}